Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class MockPortletRequest

    java.lang.Object
      org.apache.commons.fileupload.MockPortletRequest

All Implemented Interfaces:
  javax.portlet.PortletRequest

    public class MockPortletRequest

extends java.lang.Object
implements javax.portlet.PortletRequest

A mock portlet request, useful for unit testing and offline utilities

Version:
  $Id: MockPortletRequest.java 479262 2006-11-26 03:09:24Z niallp $
Author:
  David Sean Taylor

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`MockPortletRequest()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getContextPath()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`javax.portlet.PortalContext` | `getPortalContext()`
`javax.portlet.PortletMode` | `getPortletMode()`
`javax.portlet.PortletSession` | `getPortletSession()`
`javax.portlet.PortletSession` | `getPortletSession(boolean create)`
`javax.portlet.PortletPreferences` | `getPreferences()`
`java.util.Enumeration` | `getProperties(java.lang.String name)`
`java.lang.String` | `getProperty(java.lang.String name)`
`java.util.Enumeration` | `getPropertyNames()`
`java.lang.String` | `getRemoteUser()`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getResponseContentType()`
`java.util.Enumeration` | `getResponseContentTypes()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`java.security.Principal` | `getUserPrincipal()`
`javax.portlet.WindowState` | `getWindowState()`
`boolean` | `isPortletModeAllowed(javax.portlet.PortletMode mode)`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String role)`
`boolean` | `isWindowStateAllowed(javax.portlet.WindowState state)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletRequest

    public MockPortletRequest()

Method Detail

### isWindowStateAllowed

    public boolean isWindowStateAllowed(javax.portlet.WindowState state)

  Specified by:
    `isWindowStateAllowed` in interface `javax.portlet.PortletRequest`

### isPortletModeAllowed

    public boolean isPortletModeAllowed(javax.portlet.PortletMode mode)

  Specified by:
    `isPortletModeAllowed` in interface `javax.portlet.PortletRequest`

### getPortletMode

    public javax.portlet.PortletMode getPortletMode()

  Specified by:
    `getPortletMode` in interface `javax.portlet.PortletRequest`

### getWindowState

    public javax.portlet.WindowState getWindowState()

  Specified by:
    `getWindowState` in interface `javax.portlet.PortletRequest`

### getPreferences

    public javax.portlet.PortletPreferences getPreferences()

  Specified by:
    `getPreferences` in interface `javax.portlet.PortletRequest`

### getPortletSession

    public javax.portlet.PortletSession getPortletSession()

  Specified by:
    `getPortletSession` in interface `javax.portlet.PortletRequest`

### getPortletSession

    public javax.portlet.PortletSession getPortletSession(boolean create)

  Specified by:
    `getPortletSession` in interface `javax.portlet.PortletRequest`

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `javax.portlet.PortletRequest`

### getProperties

    public java.util.Enumeration getProperties(java.lang.String name)

  Specified by:
    `getProperties` in interface `javax.portlet.PortletRequest`

### getPropertyNames

    public java.util.Enumeration getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `javax.portlet.PortletRequest`

### getPortalContext

    public javax.portlet.PortalContext getPortalContext()

  Specified by:
    `getPortalContext` in interface `javax.portlet.PortletRequest`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `javax.portlet.PortletRequest`

### getContextPath

    public java.lang.String getContextPath()

  Specified by:
    `getContextPath` in interface `javax.portlet.PortletRequest`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `javax.portlet.PortletRequest`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `javax.portlet.PortletRequest`

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Specified by:
    `isUserInRole` in interface `javax.portlet.PortletRequest`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.portlet.PortletRequest`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.portlet.PortletRequest`

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `javax.portlet.PortletRequest`

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.portlet.PortletRequest`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    `getParameterValues` in interface `javax.portlet.PortletRequest`

### getParameterMap

    public java.util.Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.portlet.PortletRequest`

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `javax.portlet.PortletRequest`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object o)

  Specified by:
    `setAttribute` in interface `javax.portlet.PortletRequest`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.portlet.PortletRequest`

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  Specified by:
    `getRequestedSessionId` in interface `javax.portlet.PortletRequest`

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  Specified by:
    `isRequestedSessionIdValid` in interface `javax.portlet.PortletRequest`

### getResponseContentType

    public java.lang.String getResponseContentType()

  Specified by:
    `getResponseContentType` in interface `javax.portlet.PortletRequest`

### getResponseContentTypes

    public java.util.Enumeration getResponseContentTypes()

  Specified by:
    `getResponseContentTypes` in interface `javax.portlet.PortletRequest`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.portlet.PortletRequest`

### getScheme

    public java.lang.String getScheme()

  Specified by:
    `getScheme` in interface `javax.portlet.PortletRequest`

### getServerName

    public java.lang.String getServerName()

  Specified by:
    `getServerName` in interface `javax.portlet.PortletRequest`

### getServerPort

    public int getServerPort()

  Specified by:
    `getServerPort` in interface `javax.portlet.PortletRequest`

### getLocales

    public java.util.Enumeration getLocales()

  Specified by:
    `getLocales` in interface `javax.portlet.PortletRequest`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.